<?php
/**
 * Template Name: HTML Template Wrapper
 */
$template_html = get_the_block_template_html();

get_header();
add_filter( 'wp_kses_allowed_html', function( $tags, $context ) {
    if ( $context === 'post' ) {
        return $tags;
    }
    return $tags;
}, 10, 2 );
?>

<!-- Include the specific HTML template -->
<?php echo wp_kses_post( $template_html ); ?>

<?php get_footer(); ?>